Battlefield 4 to run on a native x64 executable


Matt Hadden (Twitter, Google+)
25th Sep 2013, 4:18pm

The Battlefield 4 sub-reddit has revealed that the Battlefield 4 Beta will require a 64-bit operating system to be able to run the game. I noticed myself last night that the name of the beta had x64 at the end of it.

A tweet earlier today by Johan Andersson, Technical Director on Frostbite at DICE, has now confirmed that you will indeed need an x64 operating system. Those of you that aren't on a 64-bit operating system by now are definitely out of luck, at least for the beta.

There is no confirmation as of yet as to whether or not the final build of the game will run on 32-bit machines, but if you're picking Battlefield 4 up on PC then I'd be very surprised if you don't have a 64-bit operating system by now, especially considering the system requirements for the newer games.

Thanks, Pixel Enemy


comments powered by Disqus